GET /api/v3/hierarchy/costCenter/{costCenterId}

Returns direct child cost centers and accounts for a cost center node, for expanding a tree node

HierarchicalCostCenterV3 Permissions: CostCenters (View)
Use this endpoint to get the children of a cost center when the user expands a node in the tree. Unlike the ancestry endpoints, this only returns immediate descendants of the specified cost center. For the full path from a cost center to root, use GET /hierarchy/ancestry/costCenter/{costCenterId} instead.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
costCenterId Unique numeric identifier of the parent cost center to expand integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

HierarchicalCostCenters
Property Description Type
accountChildren List of account children CostCenterAccountChild[]
CostCenterAccountChild properties
Property Description Type
accountCode The account code string
accountId The account identifier integer (int32)
accountInfo The account info string
accountType AccountTypeChild
AccountTypeChild properties
Property Description Type
accountTypeCode The account type code string
accountTypeId The account type identifier integer (int32)
accountTypeInfo The account type info string
active Whether the account is active or not boolean
hasCalculatedMeter Indicates whether the Account has a child calculated meter boolean
hasSplitChildMeter Indicates whether the Account has a child split meter boolean
hasSplitParentMeter Indicates whether the Account is a recipient of a split boolean
hasSubAccount Indicates whether the Account has a sub-account boolean
isSubAccount Indicates whether the Account is a sub-account boolean
costCenterChildren List of costCenter children HierarchicalCostCenters2[]
HierarchicalCostCenters2 properties
Property Description Type
accountChildren CostCenterAccountChild[]
CostCenterAccountChild properties
Property Description Type
accountCode The account code string
accountId The account identifier integer (int32)
accountInfo The account info string
accountType AccountTypeChild
AccountTypeChild properties
Property Description Type
accountTypeCode The account type code string
accountTypeId The account type identifier integer (int32)
accountTypeInfo The account type info string
active Whether the account is active or not boolean
hasCalculatedMeter Indicates whether the Account has a child calculated meter boolean
hasSplitChildMeter Indicates whether the Account has a child split meter boolean
hasSplitParentMeter Indicates whether the Account is a recipient of a split boolean
hasSubAccount Indicates whether the Account has a sub-account boolean
isSubAccount Indicates whether the Account is a sub-account boolean
costCenterChildren HierarchicalCostCenters[]
HierarchicalCostCenters properties
Property Description Type
accountChildren List of account children CostCenterAccountChild[]
CostCenterAccountChild properties
Property Description Type
accountCode The account code string
accountId The account identifier integer (int32)
accountInfo The account info string
accountType AccountTypeChild
AccountTypeChild properties
Property Description Type
accountTypeCode The account type code string
accountTypeId The account type identifier integer (int32)
accountTypeInfo The account type info string
active Whether the account is active or not boolean
hasCalculatedMeter Indicates whether the Account has a child calculated meter boolean
hasSplitChildMeter Indicates whether the Account has a child split meter boolean
hasSplitParentMeter Indicates whether the Account is a recipient of a split boolean
hasSubAccount Indicates whether the Account has a sub-account boolean
isSubAccount Indicates whether the Account is a sub-account boolean
costCenterChildren List of costCenter children HierarchicalCostCenters2[]
HierarchicalCostCenters2 properties
Property Description Type
accountChildren CostCenterAccountChild[]
CostCenterAccountChild properties
Property Description Type
accountCode The account code string
accountId The account identifier integer (int32)
accountInfo The account info string
accountType AccountTypeChild
AccountTypeChild properties
Property Description Type
accountTypeCode The account type code string
accountTypeId The account type identifier integer (int32)
accountTypeInfo The account type info string
active Whether the account is active or not boolean
hasCalculatedMeter Indicates whether the Account has a child calculated meter boolean
hasSplitChildMeter Indicates whether the Account has a child split meter boolean
hasSplitParentMeter Indicates whether the Account is a recipient of a split boolean
hasSubAccount Indicates whether the Account has a sub-account boolean
isSubAccount Indicates whether the Account is a sub-account boolean
costCenterChildren HierarchicalCostCenters[]
HierarchicalCostCenters properties
Property Description Type
accountChildren List of account children CostCenterAccountChild[]
CostCenterAccountChild properties
Property Description Type
accountCode The account code string
accountId The account identifier integer (int32)
accountInfo The account info string
accountType AccountTypeChild
active Whether the account is active or not boolean
hasCalculatedMeter Indicates whether the Account has a child calculated meter boolean
hasSplitChildMeter Indicates whether the Account has a child split meter boolean
hasSplitParentMeter Indicates whether the Account is a recipient of a split boolean
hasSubAccount Indicates whether the Account has a sub-account boolean
isSubAccount Indicates whether the Account is a sub-account boolean
costCenterChildren List of costCenter children HierarchicalCostCenters2[]
HierarchicalCostCenters2 properties
Property Description Type
accountChildren CostCenterAccountChild[]
costCenterChildren HierarchicalCostCenters[]
costCenterCode string
costCenterId integer (int32)
costCenterInfo string
hasAccountChildren boolean
hasActiveAccountChildren boolean
hasActiveChildren boolean
hasChildren boolean
hasCostCenterChildren boolean
parentId integer (int32)
costCenterCode CostCenterCode string
costCenterId The cost center’s primary ID integer (int32)
costCenterInfo CostCenterInfo string
hasAccountChildren If this costCenter has any account children boolean
hasActiveAccountChildren If this costCenter has any active account children boolean
hasActiveChildren If this costCenter has any costCenter children or active account children boolean
hasChildren If this costCenter has any children, either accounts or costCenters boolean
hasCostCenterChildren If this costCenter has any costCenter children boolean
parentId The cost center’s parent integer (int32)
costCenterCode string
costCenterId integer (int32)
costCenterInfo string
hasAccountChildren boolean
hasActiveAccountChildren boolean
hasActiveChildren boolean
hasChildren boolean
hasCostCenterChildren boolean
parentId integer (int32)
costCenterCode CostCenterCode string
costCenterId The cost center’s primary ID integer (int32)
costCenterInfo CostCenterInfo string
hasAccountChildren If this costCenter has any account children boolean
hasActiveAccountChildren If this costCenter has any active account children boolean
hasActiveChildren If this costCenter has any costCenter children or active account children boolean
hasChildren If this costCenter has any children, either accounts or costCenters boolean
hasCostCenterChildren If this costCenter has any costCenter children boolean
parentId The cost center’s parent integer (int32)
costCenterCode string
costCenterId integer (int32)
costCenterInfo string
hasAccountChildren boolean
hasActiveAccountChildren boolean
hasActiveChildren boolean
hasChildren boolean
hasCostCenterChildren boolean
parentId integer (int32)
costCenterCode CostCenterCode string
costCenterId The cost center’s primary ID integer (int32)
costCenterInfo CostCenterInfo string
hasAccountChildren If this costCenter has any account children boolean
hasActiveAccountChildren If this costCenter has any active account children boolean
hasActiveChildren If this costCenter has any costCenter children or active account children boolean
hasChildren If this costCenter has any children, either accounts or costCenters boolean
hasCostCenterChildren If this costCenter has any costCenter children boolean
parentId The cost center’s parent integer (int32)
Example Response application/json
{  "accountChildren": [
    {    "accountCode": "string",    "accountId": 1,    "accountInfo": "string",    "accountType": {      "accountTypeCode": "string",      "accountTypeId": 1,      "accountTypeInfo": "string"
    },    "active": false,    "hasCalculatedMeter": false,    "hasSplitChildMeter": false,    "hasSplitParentMeter": false,    "hasSubAccount": false,    "isSubAccount": false
  }
  ],  "costCenterChildren": [
    {    "accountChildren": [
      {      "accountCode": "string",      "accountId": 1,      "accountInfo": "string",      "accountType": {},      "active": false,      "hasCalculatedMeter": false,      "hasSplitChildMeter": false,      "hasSplitParentMeter": false,      "hasSubAccount": false,      "isSubAccount": false
    }
    ],    "costCenterChildren": [
      {      "accountChildren": [],      "costCenterChildren": [],      "costCenterCode": "string",      "costCenterId": 1,      "costCenterInfo": "string",      "hasAccountChildren": false,      "hasActiveAccountChildren": false,      "hasActiveChildren": false,      "hasChildren": false,      "hasCostCenterChildren": false,      "parentId": 1
    }
    ],    "costCenterCode": "string",    "costCenterId": 1,    "costCenterInfo": "string",    "hasAccountChildren": false,    "hasActiveAccountChildren": false,    "hasActiveChildren": false,    "hasChildren": false,    "hasCostCenterChildren": false,    "parentId": 1
  }
  ],  "costCenterCode": "string",  "costCenterId": 1,  "costCenterInfo": "string",  "hasAccountChildren": false,  "hasActiveAccountChildren": false,  "hasActiveChildren": false,  "hasChildren": false,  "hasCostCenterChildren": false,  "parentId": 1
}